Skip to main content
https://.thoughtindustries.com

Update User Status

Enables or disables a user account. `:id` accepts a UUID, email address, or `externalCustomerId`. If the user has a paired dual-role account, the status change applies to both

Enables or disables a user account. :id accepts a UUID, email address, or externalCustomerId. If the user has a paired dual-role account, the status change applies to both.

PUThttps://example.thoughtindustries.com/incoming/v2/users/:id/updateStatus

Example request

curl -X PUT "https://example.thoughtindustries.com/incoming/v2/users/:id/updateStatus" \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "status": "string"
}'

Parameters

NameTypeRequiredLocationDescription
idstringYespathUser UUID, email, or externalCustomerId.
statusstringYesbodyRequired. 'active' or 'disabled'.

Example response

{
  "status": "disabled"
}

Response fields

FieldTypeDescription
statusstring'active' or 'disabled'.